## Apache Zeta Components Manual :: Docs For Class ezcWebdavPropPatchRequest

### Webdav::ezcWebdavPropPatchRequest

### Class ezcWebdavPropPatchRequest

Abstract representation of a PROPPATCH request.

An instance of this class represents the WebDAV PROPPATCH request.

An object of this class may contain any number of ezcWebdavProperty objects in both properties: $set and {$remove}. Both properties represent the corresponding XML elements used inside the <propertyupdate /> XML element of the request body.

Source for this file: /Webdav/src/requests/proppatch.php

    ezcWebdavRequest
       |
       --ezcWebdavPropPatchRequest

Version: | //autogen//

### Constants

`REMOVE = 2` | Flagged ezcWebdavFlaggedPropertyStorage indicating this property should be removed.
`SET = 1` | Flagged ezcWebdavFlaggedPropertyStorage indicating this property should be set or updated.

### Inherited Constants

From ezcWebdavRequest:
`ezcWebdavRequest::DEPTH_INFINITY` |
`ezcWebdavRequest::DEPTH_ONE` |
`ezcWebdavRequest::DEPTH_ZERO` | Constants for the 'Depth' headers and property fields.

### Properties

ezcWebdavPropertyStorage | read/write | `$remove` Represents the properties contained in <remove /> XML elements.
ezcWebdavPropertyStorage | read/write | `$set` Represents the properties contained in <set /> XML elements.

### Inherited Member Variables

From ezcWebdavRequest
protected | `ezcWebdavRequest::$headers`
protected | `ezcWebdavRequest::$properties`

### Method Summary

public void | `__construct( $requestUri )` Creates a new PROPPATCH request object.

### Inherited Methods

From ezcWebdavRequest
public void | `ezcWebdavRequest::__construct()` Creates a new request object.
public mixed | `ezcWebdavRequest::getHeader()` Returns the contents of a specific header.
public void | `ezcWebdavRequest::setHeader()` Sets a header to a specified value.
public void | `ezcWebdavRequest::setHeaders()` Sets a header to a specified value.
public void | `ezcWebdavRequest::validateHeaders()` Validates the headers set in this request.

### Methods

#### __construct

void __construct( string $requestUri )

Creates a new PROPPATCH request object.

The $requestUri identifies the resources for which properties should be patched.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$requestUri` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavRequest::__construct()` | Creates a new request object.

Documentation generated by phpDocumentor 1.4.3